"use client"
import React from 'react'
import PropertyCard from '../universal/PropertyCard'
import Title from '../universal/Title'
import Carousel from 'react-multi-carousel';

const responsive = {
  superLargeDesktop: {
    breakpoint: { max: 4000, min: 3000 },
    items: 4,
    slidesToSlide: 2
  },

  desktop: {
    breakpoint: { max: 3000, min: 1024 },
    items: 4,
    slidesToSlide: 1
  },
  tablet: {
    breakpoint: { max: 1024, min: 464 },
    items: 3,
    slidesToSlide: 1
  },
  mobile: {
    breakpoint: { max: 464, min: 0 },
    items: 1,
    slidesToSlide: 1
  }
};

const LatestProperties = () => {
  return (
    <div className='mt-16 lg:mx-32 mx-4'>
      <Title title={"Latest  Properties in New Delhi"} />
      <Carousel
        responsive={responsive}
        infinite={true}
        arrows={false}
        ssr={true}
        showDots={true}
        itemClass='px-2'
        transitionDuration={1000}
        autoPlay={false}
        autoPlaySpeed={1000}
        className='mt-8 pb-8 w-full'
      >
        {[1, 2, 3, 4].map(item => (
          <PropertyCard key={item + 20} />
        ))}
      </Carousel>
      <div className="flex lg:flex-row flex-col gap-4 mt-8">

      </div>
    </div>
  )
}

export default LatestProperties